< Back


# Packages

-  package root
  Definition Classes
    root
-  package uritemplate
  Definition Classes
    root
- Allow
- AssociativeVar
- CanBeVar
- CanBeVars
- Encoded
- Expansion
- Explode
- Expression
- Fragment
- Label
- Lit
- LowerPriorityCanBeVars
- Modifier
- PathParameter
- PathSegment
- Prefix
- Query
- QueryContinuation
- Reserved
- SequentialVar
- Simple
- Syntax
- URITemplate
- URITemplateParser
- Unencoded
- Var
- VarSpec
- Variable

p

# uritemplate

#### package uritemplate


Ordering

1. Alphabetic

Visibility

1. Public
2. Protected

### Type Members

1.  case class AssociativeVar(variable: Seq[(String, String)]) extends Variable with Product with Serializable
2.  trait CanBeVar[-V] extends AnyRef
3.  trait CanBeVars extends LowerPriorityCanBeVars
4.  case class Encoded(expanded: String) extends Lit with Product with Serializable
5.  sealed trait Expansion extends AnyRef
6.  sealed abstract class Expression extends Expansion
7.  case class Fragment(variableList: List[VarSpec]) extends Expression with Product with Serializable
8.  case class Label(variableList: List[VarSpec]) extends Expression with Product with Serializable
9.  sealed trait Lit extends Expansion
10.  trait LowerPriorityCanBeVars extends AnyRef
11.  sealed trait Modifier extends AnyRef
12.  case class PathParameter(variableList: List[VarSpec]) extends Expression with Product with Serializable
13.  case class PathSegment(variableList: List[VarSpec]) extends Expression with Product with Serializable
14.  case class Prefix(maxLength: Int) extends Modifier with Product with Serializable
15.  case class Query(variableList: List[VarSpec]) extends Expression with Product with Serializable
16.  case class QueryContinuation(variableList: List[VarSpec]) extends Expression with Product with Serializable
17.  case class Reserved(variableList: List[VarSpec]) extends Expression with Product with Serializable
18.  case class SequentialVar(variable: Seq[String]) extends Variable with Product with Serializable
19.  case class Simple(variableList: List[VarSpec]) extends Expression with Product with Serializable
20.  trait Syntax extends AnyRef
21.  case class URITemplate(expansions: List[Expansion]) extends Product with Serializable
22.  case class Unencoded(char: Char) extends Lit with Product with Serializable
23.  case class Var(s: String) extends Product with Serializable
24.  case class VarSpec(name: String, modifier: Option[Modifier]) extends Product with Serializable
25.  sealed trait Variable extends AnyRef

### Value Members

1.  object Allow
2.  object CanBeVar extends CanBeVars
3.  object Explode extends Modifier with Product with Serializable
4.  object Expression
5.  object Syntax extends Syntax
6.  object URITemplate extends Serializable
7.  object URITemplateParser

### Ungrouped